about summary refs log tree commit diff
path: root/logout-hook
diff options
context:
space:
mode:
authorAzat Bahawi <azat@bahawi.net>1970-01-01 03:00:00 +0300
committerAzat Bahawi <azat@bahawi.net>2022-09-20 11:57:34 +0300
commitfcf8d0c0246b353f255eb5173cd8cd3748f8da3b (patch)
tree50717852ab2d895415a77b64462de4723322c404 /logout-hook
chore: init HEAD master
Diffstat (limited to '')
-rwxr-xr-xlogout-hook25
1 files changed, 25 insertions, 0 deletions
diff --git a/logout-hook b/logout-hook
new file mode 100755
index 0000000..9966129
--- /dev/null
+++ b/logout-hook
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+to_rm="
+    ${HOME}/.cache
+    ${HOME}/.ccls-cache
+    ${HOME}/.gdb_history
+    ${HOME}/.nvimlog
+    ${HOME}/.rnd
+    ${HOME}/.viminfo
+    ${HOME}/.wget-hsts
+    ${HOME}/VideoDecodeStats
+    ${HOME}/databases-incognito
+    ${HOME}/pgadmin.log
+    ${HOME}/shared_proto_db
+"
+
+rm_existing() {
+    if [ -f "${1}" ] || [ -d "${1}" ]; then
+        rm -rf "${1}" || return
+    fi
+}
+
+for i in ${to_rm}; do
+    rm_existing "${i}" || exit
+done

Consider giving Nix/NixOS a try! <3